GET
/product/202507/products/{product_id}/replicated_products
Retrieves the globally associated replicas in other markets if the product has been replicated through local replication. Applicable only for global sellers.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”product_id
required
string
The ID of the product.
Query Parameters
Section titled “Query Parameters”shop_cipher
required
string
Identifies the shop. Obtain it from the Get Authorized Shops API.
Responses
Section titled “Responses”Success
Media typeapplication/json
object
code
Status code; 0 means success.
integer format: int64
message
Success or failure message.
string
request_id
Request log ID.
string
data
object
replicated_products
The product replicas associated with the requested product in other markets. The requested source product is excluded. Returns an empty array when no other associated replica is found.
Array<object>
object
region
The market associated with the replicated product. Possible values:
- AT: Austria
- BE:Belgium
- CZ:Czech Republic
- DE: Germany
- ES: Spain
- FR: France
- GB: United Kingdom
- GR: Greece
- HU:Hungary
- ID: Indonesia
- IE: Ireland
- IT: Italy
- JP: Japan
- MY: Malaysia
- NL: Netherlands(NL)
- PH: Philippines
- PO: Poland
- PT:Portugal
- SG: Singapore
- TH: Thailand
- US: United States
- VN: Vietnam
- MX: Mexico
string
shop_id
The TikTok Shop ID.
string
product_id
The ID of the product.
string
product_status
The status of the replicated product. Possible values:
- UNKNOWN
- DRAFT
- PENDING
- FAILED
- ACTIVATE
- SELLER_DEACTIVATED
- PLATFORM_DEACTIVATED
- FREEZE
- DELETED
string
Example
{ "code": 0, "data": { "replicated_products": [ { "region": "US", "shop_id": "1732057700058170433", "product_id": "1732057700058170433", "product_status": "ACTIVATE" } ] }, "message": "Success", "request_id": "202203070749000101890810281E8C70B7"}